###############################################################################
#
# Bash remediation role for profile opencis-ocp-master
# Profile Title:  Open Computing Information Security Profile for OpenShift Master Node
# Profile Description:
# This baseline was inspired by the Center for Internet Security
# (CIS) Kubernetes Benchmark, v1.2.0 - 01-31-2017.
# 
# For the ComplianceAsCode project to remain in compliance with
# CIS' terms and conditions, specifically Restrictions(8), note
# there is no representation or claim that the OpenCIS profile will
# ensure a system is in compliance or consistency with the CIS
# baseline.
#
# Benchmark ID:  OCP-3
# Benchmark Version:  0.1.41
#
# XCCDF Version:  1.1
#
# This file was generated by OpenSCAP 1.2.17 using:
# 	$ oscap xccdf generate fix --profile opencis-ocp-master --template urn:xccdf:fix:script:sh xccdf-file.xml 
#
# This script is generated from an OpenSCAP profile without preliminary evaluation.
# It attempts to fix every selected rule, even if the system is already compliant.
#
# How to apply this remediation role:
# $ sudo ./remediation-role.sh
#
###############################################################################

###############################################################################
# BEGIN fix (1 / 41) for 'file_permissions_var_lib_etcd'
###############################################################################
(>&2 echo "Remediating rule 1/41: 'file_permissions_var_lib_etcd'")

chmod 0700 /var/lib/etcd/
# END fix for 'file_permissions_var_lib_etcd'

###############################################################################
# BEGIN fix (2 / 41) for 'file_groupowner_master_etcd'
###############################################################################
(>&2 echo "Remediating rule 2/41: 'file_groupowner_master_etcd'")

chgrp 0 /etc/origin/node/pods/etcd.yaml
# END fix for 'file_groupowner_master_etcd'

###############################################################################
# BEGIN fix (3 / 41) for 'file_owner_master_admin_conf'
###############################################################################
(>&2 echo "Remediating rule 3/41: 'file_owner_master_admin_conf'")

chown 0 /etc/origin/master/admin.kubeconfig
# END fix for 'file_owner_master_admin_conf'

###############################################################################
# BEGIN fix (4 / 41) for 'file_permissions_master_etcd'
###############################################################################
(>&2 echo "Remediating rule 4/41: 'file_permissions_master_etcd'")

chmod 0600 /etc/origin/node/pods/etcd.yaml
# END fix for 'file_permissions_master_etcd'

###############################################################################
# BEGIN fix (5 / 41) for 'file_permissions_master_controller_manager'
###############################################################################
(>&2 echo "Remediating rule 5/41: 'file_permissions_master_controller_manager'")

chmod 0600 /etc/origin/node/pods/controller.yaml
# END fix for 'file_permissions_master_controller_manager'

###############################################################################
# BEGIN fix (6 / 41) for 'file_owner_master_api_server'
###############################################################################
(>&2 echo "Remediating rule 6/41: 'file_owner_master_api_server'")

chown 0 /etc/origin/node/pods/apiserver.yaml
# END fix for 'file_owner_master_api_server'

###############################################################################
# BEGIN fix (7 / 41) for 'file_groupowner_master_scheduler_conf'
###############################################################################
(>&2 echo "Remediating rule 7/41: 'file_groupowner_master_scheduler_conf'")

chgrp 0 /etc/origin/master/scheduler.json
# END fix for 'file_groupowner_master_scheduler_conf'

###############################################################################
# BEGIN fix (8 / 41) for 'file_permissions_master_api_server'
###############################################################################
(>&2 echo "Remediating rule 8/41: 'file_permissions_master_api_server'")

chmod 0600 /etc/origin/node/pods/apiserver.yaml
# END fix for 'file_permissions_master_api_server'

###############################################################################
# BEGIN fix (9 / 41) for 'file_groupowner_var_lib_etcd'
###############################################################################
(>&2 echo "Remediating rule 9/41: 'file_groupowner_var_lib_etcd'")

chgrp 0 /var/lib/etcd/
# END fix for 'file_groupowner_var_lib_etcd'

###############################################################################
# BEGIN fix (10 / 41) for 'file_groupowner_node_config'
###############################################################################
(>&2 echo "Remediating rule 10/41: 'file_groupowner_node_config'")

chgrp 0 /etc/origin/node/node-config.yaml
# END fix for 'file_groupowner_node_config'

###############################################################################
# BEGIN fix (11 / 41) for 'file_permissions_master_openshift_conf'
###############################################################################
(>&2 echo "Remediating rule 11/41: 'file_permissions_master_openshift_conf'")

chmod 0600 /etc/origin/master/master-config.yaml
# END fix for 'file_permissions_master_openshift_conf'

###############################################################################
# BEGIN fix (12 / 41) for 'file_permissions_master_openshift_kubeconfig'
###############################################################################
(>&2 echo "Remediating rule 12/41: 'file_permissions_master_openshift_kubeconfig'")

chmod 0600 /etc/origin/master/openshift-master.kubeconfig
# END fix for 'file_permissions_master_openshift_kubeconfig'

###############################################################################
# BEGIN fix (13 / 41) for 'file_owner_master_openshift_kubeconfig'
###############################################################################
(>&2 echo "Remediating rule 13/41: 'file_owner_master_openshift_kubeconfig'")

chown 0 /etc/origin/master/openshift-master.kubeconfig
# END fix for 'file_owner_master_openshift_kubeconfig'

###############################################################################
# BEGIN fix (14 / 41) for 'file_groupowner_master_openshift_conf'
###############################################################################
(>&2 echo "Remediating rule 14/41: 'file_groupowner_master_openshift_conf'")

chgrp 0 /etc/origin/master/master-config.yaml
# END fix for 'file_groupowner_master_openshift_conf'

###############################################################################
# BEGIN fix (15 / 41) for 'file_owner_master_etcd'
###############################################################################
(>&2 echo "Remediating rule 15/41: 'file_owner_master_etcd'")

chown 0 /etc/origin/node/pods/etcd.yaml
# END fix for 'file_owner_master_etcd'

###############################################################################
# BEGIN fix (16 / 41) for 'file_groupowner_master_openshift_kubeconfig'
###############################################################################
(>&2 echo "Remediating rule 16/41: 'file_groupowner_master_openshift_kubeconfig'")

chgrp 0 /etc/origin/master/openshift-master.kubeconfig
# END fix for 'file_groupowner_master_openshift_kubeconfig'

###############################################################################
# BEGIN fix (17 / 41) for 'file_owner_master_openshift_conf'
###############################################################################
(>&2 echo "Remediating rule 17/41: 'file_owner_master_openshift_conf'")

chown 0 /etc/origin/master/master-config.yaml
# END fix for 'file_owner_master_openshift_conf'

###############################################################################
# BEGIN fix (18 / 41) for 'file_permissions_openshift_node_client_crt'
###############################################################################
(>&2 echo "Remediating rule 18/41: 'file_permissions_openshift_node_client_crt'")

chmod 0600 /etc/origin/node/client-ca.crt
# END fix for 'file_permissions_openshift_node_client_crt'

###############################################################################
# BEGIN fix (19 / 41) for 'file_groupowner_openshift_node_service'
###############################################################################
(>&2 echo "Remediating rule 19/41: 'file_groupowner_openshift_node_service'")

chgrp 0 /etc/systemd/system/atomic-openshift-node.service
# END fix for 'file_groupowner_openshift_node_service'

###############################################################################
# BEGIN fix (20 / 41) for 'file_permissions_node_config'
###############################################################################
(>&2 echo "Remediating rule 20/41: 'file_permissions_node_config'")

chmod 0600 /etc/origin/node/node-config.yaml
# END fix for 'file_permissions_node_config'

###############################################################################
# BEGIN fix (21 / 41) for 'file_owner_master_scheduler_conf'
###############################################################################
(>&2 echo "Remediating rule 21/41: 'file_owner_master_scheduler_conf'")

chown 0 /etc/origin/master/scheduler.json
# END fix for 'file_owner_master_scheduler_conf'

###############################################################################
# BEGIN fix (22 / 41) for 'file_groupowner_openshift_node_client_crt'
###############################################################################
(>&2 echo "Remediating rule 22/41: 'file_groupowner_openshift_node_client_crt'")

chgrp 0 /etc/origin/node/client-ca.crt
# END fix for 'file_groupowner_openshift_node_client_crt'

###############################################################################
# BEGIN fix (23 / 41) for 'file_owner_master_controller_manager'
###############################################################################
(>&2 echo "Remediating rule 23/41: 'file_owner_master_controller_manager'")

chown 0 /etc/origin/node/pods/controller.yaml
# END fix for 'file_owner_master_controller_manager'

###############################################################################
# BEGIN fix (24 / 41) for 'file_permissions_etc_origin'
###############################################################################
(>&2 echo "Remediating rule 24/41: 'file_permissions_etc_origin'")

chmod 0700 /etc/origin/
# END fix for 'file_permissions_etc_origin'

###############################################################################
# BEGIN fix (25 / 41) for 'file_groupowner_master_controller_manager'
###############################################################################
(>&2 echo "Remediating rule 25/41: 'file_groupowner_master_controller_manager'")

chgrp 0 /etc/origin/node/pods/controller.yaml
# END fix for 'file_groupowner_master_controller_manager'

###############################################################################
# BEGIN fix (26 / 41) for 'file_owner_var_lib_etcd'
###############################################################################
(>&2 echo "Remediating rule 26/41: 'file_owner_var_lib_etcd'")

chown 0 /var/lib/etcd/
# END fix for 'file_owner_var_lib_etcd'

###############################################################################
# BEGIN fix (27 / 41) for 'file_groupowner_master_admin_conf'
###############################################################################
(>&2 echo "Remediating rule 27/41: 'file_groupowner_master_admin_conf'")

chgrp 0 /etc/origin/master/admin.kubeconfig
# END fix for 'file_groupowner_master_admin_conf'

###############################################################################
# BEGIN fix (28 / 41) for 'file_owner_master_cni_conf'
###############################################################################
(>&2 echo "Remediating rule 28/41: 'file_owner_master_cni_conf'")

chown 0 /etc/cni/net.d//*
# END fix for 'file_owner_master_cni_conf'

###############################################################################
# BEGIN fix (29 / 41) for 'file_permissions_master_admin_conf'
###############################################################################
(>&2 echo "Remediating rule 29/41: 'file_permissions_master_admin_conf'")

chmod 0600 /etc/origin/master/admin.kubeconfig
# END fix for 'file_permissions_master_admin_conf'

###############################################################################
# BEGIN fix (30 / 41) for 'file_owner_etc_origin'
###############################################################################
(>&2 echo "Remediating rule 30/41: 'file_owner_etc_origin'")

chown 0 /etc/origin/
# END fix for 'file_owner_etc_origin'

###############################################################################
# BEGIN fix (31 / 41) for 'file_permissions_master_scheduler_conf'
###############################################################################
(>&2 echo "Remediating rule 31/41: 'file_permissions_master_scheduler_conf'")

chmod 0600 /etc/origin/master/scheduler.json
# END fix for 'file_permissions_master_scheduler_conf'

###############################################################################
# BEGIN fix (32 / 41) for 'file_owner_node_config'
###############################################################################
(>&2 echo "Remediating rule 32/41: 'file_owner_node_config'")

chown 0 /etc/origin/node/node-config.yaml
# END fix for 'file_owner_node_config'

###############################################################################
# BEGIN fix (33 / 41) for 'file_owner_openshift_node_client_crt'
###############################################################################
(>&2 echo "Remediating rule 33/41: 'file_owner_openshift_node_client_crt'")

chown 0 /etc/origin/node/client-ca.crt
# END fix for 'file_owner_openshift_node_client_crt'

###############################################################################
# BEGIN fix (34 / 41) for 'file_owner_openshift_node_service'
###############################################################################
(>&2 echo "Remediating rule 34/41: 'file_owner_openshift_node_service'")

chown 0 /etc/systemd/system/atomic-openshift-node.service
# END fix for 'file_owner_openshift_node_service'

###############################################################################
# BEGIN fix (35 / 41) for 'file_permissions_master_cni_conf'
###############################################################################
(>&2 echo "Remediating rule 35/41: 'file_permissions_master_cni_conf'")

chmod 0644 /etc/cni/net.d//*
# END fix for 'file_permissions_master_cni_conf'

###############################################################################
# BEGIN fix (36 / 41) for 'file_groupowner_master_api_server'
###############################################################################
(>&2 echo "Remediating rule 36/41: 'file_groupowner_master_api_server'")

chgrp 0 /etc/origin/node/pods/apiserver.yaml
# END fix for 'file_groupowner_master_api_server'

###############################################################################
# BEGIN fix (37 / 41) for 'file_permissions_openshift_node_service'
###############################################################################
(>&2 echo "Remediating rule 37/41: 'file_permissions_openshift_node_service'")

chmod 0644 /etc/systemd/system/atomic-openshift-node.service
# END fix for 'file_permissions_openshift_node_service'

###############################################################################
# BEGIN fix (38 / 41) for 'file_groupowner_master_cni_conf'
###############################################################################
(>&2 echo "Remediating rule 38/41: 'file_groupowner_master_cni_conf'")

chgrp 0 /etc/cni/net.d//*
# END fix for 'file_groupowner_master_cni_conf'

###############################################################################
# BEGIN fix (39 / 41) for 'file_groupowner_etc_origin'
###############################################################################
(>&2 echo "Remediating rule 39/41: 'file_groupowner_etc_origin'")

chgrp 0 /etc/origin/
# END fix for 'file_groupowner_etc_origin'

###############################################################################
# BEGIN fix (40 / 41) for 'scheduler_profiling_argument'
###############################################################################
(>&2 echo "Remediating rule 40/41: 'scheduler_profiling_argument'")
(>&2 echo "FIX FOR THIS RULE 'scheduler_profiling_argument' IS MISSING!")
# END fix for 'scheduler_profiling_argument'

###############################################################################
# BEGIN fix (41 / 41) for 'scheduler_address_argument'
###############################################################################
(>&2 echo "Remediating rule 41/41: 'scheduler_address_argument'")
(>&2 echo "FIX FOR THIS RULE 'scheduler_address_argument' IS MISSING!")
# END fix for 'scheduler_address_argument'

