###############################################################################
#
# Bash remediation role for profile opencis-ocp-node
# Profile Title:  Open Computing Information Security Profile for OpenShift Node
# Profile Description:
# This baseline was inspired by the Center for Internet Security
# (CIS) Kubernetes Benchmark, v1.2.0 - 01-31-2017.
# 
# For the ComplianceAsCode project to remain in compliance with
# CIS' terms and conditions, specifically Restrictions(8), note
# there is no representation or claim that the OpenCIS profile will
# ensure a system is in compliance or consistency with the CIS
# baseline.
#
# Benchmark ID:  OCP-3
# Benchmark Version:  0.1.41
#
# XCCDF Version:  1.1
#
# This file was generated by OpenSCAP 1.2.17 using:
# 	$ oscap xccdf generate fix --profile opencis-ocp-node --template urn:xccdf:fix:script:sh xccdf-file.xml 
#
# This script is generated from an OpenSCAP profile without preliminary evaluation.
# It attempts to fix every selected rule, even if the system is already compliant.
#
# How to apply this remediation role:
# $ sudo ./remediation-role.sh
#
###############################################################################

###############################################################################
# BEGIN fix (1 / 9) for 'file_groupowner_node_config'
###############################################################################
(>&2 echo "Remediating rule 1/9: 'file_groupowner_node_config'")

chgrp 0 /etc/origin/node/node-config.yaml
# END fix for 'file_groupowner_node_config'

###############################################################################
# BEGIN fix (2 / 9) for 'file_permissions_openshift_node_client_crt'
###############################################################################
(>&2 echo "Remediating rule 2/9: 'file_permissions_openshift_node_client_crt'")

chmod 0600 /etc/origin/node/client-ca.crt
# END fix for 'file_permissions_openshift_node_client_crt'

###############################################################################
# BEGIN fix (3 / 9) for 'file_groupowner_openshift_node_service'
###############################################################################
(>&2 echo "Remediating rule 3/9: 'file_groupowner_openshift_node_service'")

chgrp 0 /etc/systemd/system/atomic-openshift-node.service
# END fix for 'file_groupowner_openshift_node_service'

###############################################################################
# BEGIN fix (4 / 9) for 'file_permissions_node_config'
###############################################################################
(>&2 echo "Remediating rule 4/9: 'file_permissions_node_config'")

chmod 0600 /etc/origin/node/node-config.yaml
# END fix for 'file_permissions_node_config'

###############################################################################
# BEGIN fix (5 / 9) for 'file_groupowner_openshift_node_client_crt'
###############################################################################
(>&2 echo "Remediating rule 5/9: 'file_groupowner_openshift_node_client_crt'")

chgrp 0 /etc/origin/node/client-ca.crt
# END fix for 'file_groupowner_openshift_node_client_crt'

###############################################################################
# BEGIN fix (6 / 9) for 'file_owner_node_config'
###############################################################################
(>&2 echo "Remediating rule 6/9: 'file_owner_node_config'")

chown 0 /etc/origin/node/node-config.yaml
# END fix for 'file_owner_node_config'

###############################################################################
# BEGIN fix (7 / 9) for 'file_owner_openshift_node_client_crt'
###############################################################################
(>&2 echo "Remediating rule 7/9: 'file_owner_openshift_node_client_crt'")

chown 0 /etc/origin/node/client-ca.crt
# END fix for 'file_owner_openshift_node_client_crt'

###############################################################################
# BEGIN fix (8 / 9) for 'file_owner_openshift_node_service'
###############################################################################
(>&2 echo "Remediating rule 8/9: 'file_owner_openshift_node_service'")

chown 0 /etc/systemd/system/atomic-openshift-node.service
# END fix for 'file_owner_openshift_node_service'

###############################################################################
# BEGIN fix (9 / 9) for 'file_permissions_openshift_node_service'
###############################################################################
(>&2 echo "Remediating rule 9/9: 'file_permissions_openshift_node_service'")

chmod 0644 /etc/systemd/system/atomic-openshift-node.service
# END fix for 'file_permissions_openshift_node_service'

